🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Western Sign Report

The API general_sign_report/tropical/:planetName provides a general report on a particular planet's placement in a specific tropical zodiac sign. The response contains information on the sign's characteristics and how they may manifest in the planet's placement, including potential strengths, weaknesses, and challenges to be aware of.
POSThttps://json.astrologyapi.com/v1/general_sign_report/tropical/:planetName

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Path parameters

planetNamestringrequired

Planet Name, eg: sun, moon

  • sun
  • moon
  • mars
  • mercury
  • jupiter
  • venus
  • saturn

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

house_typestringrequired

Default : placidus // koch/topocentric/poryphry/equal_house/whole_sign

curl --location 'https://json.astrologyapi.com/v1/general_sign_report/tropical/sun' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "house_type": "placidus"
}'
Try it

Runs with sample data β€” no API key needed

{
  "planet_name": "MOON",
  "sign_name": "Gemini",
  "report": "You tend to intellectualize your feelings. Your moods come through your words. At times you are totally unaware of your own or other people' deeper feelings and emotional needs. You talk out your feelings and moods. Your primary need is to communicate and to share knowledge. You tend to avoid heavy, emotional relationships and involvements because their is some tendency to superficiality. Commitment scares you. You require plenty of mental stimulation and you feel closest to people with whom you can share thoughts and mental interests. You get turned on sexually through the mental side of things. You have a versatile and receptive mind with a great desire for knowledge. You can be charming, witty and warm-hearted. Nervous tension, anxiety, and stress may be a problem for you. You probably dislike arguments and have a tendency to talk too much. You may tell people what they want to hear rather than the truth. Mental control should be developed or else indecisiveness and constant changing of your mind will become a way of life for you."
}